## mutter 43.0

=== debian/changelog ===
mutter (43.0-1ubuntu4) kinetic; urgency=medium

  * debian/rules: Ignore test failures on armhf.
    Temporary, to unblock the mutter update while we investigate the regression

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 19:58:15 -0400

mutter (43.0-1ubuntu3) kinetic; urgency=medium

  * Cherry-pick patches to avoid crash when ICC color profile is invalid
    (Closes: #1021680) (LP: #1993114)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Oct 2022 06:55:32 -0400

mutter (43.0-1ubuntu2) kinetic; urgency=medium

  * Cherry-pick patch to fix Night Light availability in GNOME Settings
    (Closes: #1020941) (LP: #1990207)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 14 Oct 2022 16:25:40 -0400

mutter (43.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 13:10:57 -0400

mutter (43.0-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * Team upload
  * New upstream release
  * d/copyright: Update
  * Standards-Version: 4.6.1 (no changes required)
  * d/libmutter-11-0.symbols: Add new symbols

  [ Jeremy Bicha ]
  * Mark as Linux-any
    - Build tests indicate mutter doesn't work on Hurd or kFreeBSD
    - Mutter is only used by GNOME Shell and Budgie, neither of which
      are currently available on those architectures for other reasons

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 20:18:26 +0100

mutter (43~rc-2ubuntu2) kinetic; urgency=medium

  * Ignore build test failures on s390x

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Sep 2022 11:43:54 -0400

mutter (43~rc-2ubuntu1) kinetic; urgency=medium

  * Merge with debian, containing new upstream version.
  * Refresh xrandr scaling patch to latest upstream code
  * Remaining changes with debian:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 18:15:23 +0200

mutter (43~rc-2) experimental; urgency=medium

  [ Simon McVittie ]
  * d/control: Drop compatibility with old libgdk-pixbuf2.0-dev package

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Update triple-buffering patch against newest version
    (LP: #1969422, #1988625)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 08 Sep 2022 17:35:16 +0200

mutter (43~rc-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on libcolord-dev & liblcms2-dev
  * debian/*.symbols: Update
  * Drop Consistently-pass-timestamp….patch: Applied in new release
  * Refresh 2 patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 14:07:28 -0400

mutter (43~beta-4) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Remove <!nocheck> from xvfb-run

  [ Jeremy Bicha ]
  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:28:09 -0400

mutter (43~beta-3ubuntu2) kinetic; urgency=medium

  * debian/tests/libmutter-11-dev: fix a reference to mutter-10

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2022 05:25:39 -0400

mutter (43~beta-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 17:23:26 -0400

mutter (43~beta-3) experimental; urgency=medium

  * Add patches from Ubuntu:
    - Support-Dynamic-triple-double-buffering.patch
    - backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
  * debian/libmutter-11-0.symbols: Add new symbols from triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 12:27:28 -0400

mutter (43~beta-2) experimental; urgency=medium

  * Update mutter-10 to mutter-11 in more places

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 10:35:35 -0400

mutter (43~beta-1) experimental; urgency=medium

  * New upstream release
  * Rename packages for API bump (mutter-10 -> mutter-11)
  * debian/libmutter-11-0.symbols: Update
  * debian/control.in: Bump minimum libwayland and wayland-protocols
  * Refresh patches
  * Add temporary patch to skip broken build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 12:07:41 -0400

mutter (42.4-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch
      + Ensure privacy screen settings are applied on startup
    - Add patches from GNOME !2364
      + Fix X11 selection related crash when Xwayland died
    - debian/libmutter-10-0.symbols: Add symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 17 Aug 2022 14:39:04 -0400

mutter (42.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable (LP: #1985856). Remaining changes:
    - Add triple-buffering patch
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr
    - Add ubuntu/wayland-data-device-Allow-any-drag-timestamp....patch
      + Allow any drag timestamp as drag start serial
    - Add backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch
      + Avoid memory errors when comparing gamma values
    - Add monitor-manager-Ensure-monitors-settings-after-backend-ha.patch


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-gir,
               dh-sequence-gnome,
               at-spi2-core <!nocheck>,
               adwaita-icon-theme <!nocheck>,
               dbus <!nocheck>,
               dmz-cursor-theme <!nocheck>,
               gnome-control-center-data,
               gnome-pkg-tools (>= 0.10),
               gnome-settings-daemon-common <!nocheck>,
               gnome-settings-daemon-dev,
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas-dev (>= 40~alpha),
               gtk-doc-tools (>= 1.15),
               libcairo2-dev (>= 1.10.0),
               libcanberra-gtk3-dev,
               libcolord-dev,
               libdrm-dev (>= 2.4.83) [linux-any],
               libegl-dev,
               libegl1-mesa-dev (>= 17),
               libfribidi-dev (>= 1.0.0),
               libgbm-dev (>= 17.3) [linux-any],
               libgdk-pixbuf-2.0-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.69.0),
               libgnome-desktop-3-dev (>= 3.36.0),
               libgraphene-1.0-dev (>= 1.10.2),
               libgtk-3-dev (>= 3.19.8),
               libgudev-1.0-dev (>= 232) [linux-any],
               libice-dev,
               libinput-dev (>= 1.19.0) [linux-any],
               libjson-glib-dev (>= 0.13.2-1~),
               liblcms2-dev,
               libnvidia-egl-wayland-dev [linux-any],
               libpam0g-dev,
               libpango1.0-dev (>= 1.46.0),
               libpipewire-0.3-dev (>= 0.3.33) [linux-any],
               libsm-dev,
               libstartup-notification0-dev (>= 0.7),
               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
               libsystemd-dev (>= 212) [linux-any],
               libwacom-dev (>= 0.13) [linux-any],
               libwayland-dev (>= 1.21.0) [linux-any],
               libxau-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-randr0-dev,
               libxcb-res0-dev,
               libxcomposite-dev (>= 1:0.4),
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev (>= 6.0),
               libxi-dev (>= 2:1.7.4),
               libxinerama-dev,
               libxkbcommon-dev (>= 0.4.3),
               libxkbcommon-x11-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxt-dev,
               meson (>= 0.55.0),
               pkg-config (>= 0.22),
               python3-dbus <!nocheck>,
               python3-dbusmock <!nocheck>,
               sysprof (>= 3.40.1) [linux-any],
               udev [linux-any],
               wayland-protocols (>= 1.26) [linux-any],
               xauth <!nocheck>,
               xcvt [linux-any],
               xkb-data,
               xvfb,
               xwayland [linux-any],
               zenity
Rules-Requires-Root: no
Standards-Version: 4.6.1
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/kinetic
Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/kinetic

Package: mutter
Architecture: linux-any
Depends: adwaita-icon-theme,
         gnome-settings-daemon-common,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         zenity,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-window-manager
Suggests: gnome-control-center (>= 1:3.25.2),
          xdg-user-dirs
Description: Example window manager using GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the mutter executable. It can be used as a
 standalone window manager, but is primarily intended for debugging.

Package: mutter-11-tests
Architecture: linux-any
Depends: at-spi2-core,
         dbus,
         dmz-cursor-theme,
         libmutter-11-0 (= ${binary:Version}),
         libmutter-test-11 (= ${binary:Version}),
         mutter (= ${binary:Version}),
         python3,
         python3-dbus,
         python3-dbusmock,
         xauth,
         xvfb,
         xwayland [linux-any],
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tests for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

Package: gir1.2-mutter-11
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: libmutter-11-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: GObject introspection data for Mutter
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmutter-11-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: adwaita-icon-theme,
         gsettings-desktop-schemas (>= 40~alpha),
         mutter-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: apparmor (<< 2.13.3-5~),
        gnome-control-center (<< 1:3.25.2),
        gnome-settings-daemon (<< 3.31.101),
        gnome-shell (<< 42~rc),
        libgtk-3-0 (<< 3.24.33-2~),
        libgtk-4-1 (<< 4.6.3+ds1-2~)
Description: window manager library from the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by mutter
 itself, and gnome-shell.

Package: libmutter-11-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: gir1.2-mutter-11 (= ${binary:Version}),
         gsettings-desktop-schemas-dev (>= 40~alpha),
         libatk1.0-dev,
         libcairo2-dev,
         libdrm-dev,
         libegl1-mesa-dev,
         libgbm-dev,
         libgdk-pixbuf-2.0-dev,
         libgles-dev,
         libglib2.0-dev (>= 2.69.0),
         libgraphene-1.0-dev (>= 1.9.3),
         libgtk-3-dev,
         libinput-dev (>= 1.19),
         libjson-glib-dev,
         libmutter-11-0 (= ${binary:Version}),
         libpango1.0-dev,
         libwayland-dev [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev (>= 6.0),
         libxi-dev,
         libxrandr-dev,
         ${misc:Depends}
Description: Development files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: libmutter-test-11
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: libmutter-11-0 (= ${binary:Version}),
         mutter (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Test helper library for GNOME's window manager library
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 This package contains a private library used by the automated tests for
 mutter and gnome-shell. It should not be used by non-GNOME packages.

Package: mutter-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: shared files for the Mutter window manager
 Mutter is a Wayland display server and X11 window manager and
 compositor library. It contains functionality related to, among other
 things, window management, window compositing, focus tracking, workspace
 management, keybindings and monitor configuration.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Following upstream method to compute the API version
MUTTER_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')
MUTTER_API_VERSION = $(shell echo $$(( $(MUTTER_MAJOR_VERSION) - 32 )) )
MUTTER_SONAME = 0

export MUTTER_API_VERSION
export MUTTER_SONAME

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Degl_device=true \
	-Dremote_desktop=true \
	-Dwayland_eglstream=true
else
CONFFLAGS = \
	-Dsystemd=false \
	-Dudev=false \
	-Dlibwacom=false \
	-Dwayland=false \
	-Dcore_tests=false \
	-Dnative_backend=false \
	-Dnative_tests=false \
	-Dprofiler=false \
	-Dremote_desktop=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)

# Use meson test directly as it allows us to use the timeout multiplier
BUILDDIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
TEST_COMMAND_BASE=env \
	GIO_USE_VFS=local \
	GIO_USE_VOLUME_MONITOR=unix \
	GSETTINGS_SCHEMA_DIR=$(BUILDDIR)/data \
	GVFS_DISABLE_FUSE=1 \
	dbus-run-session -- xvfb-run -s '+iglx -noreset' -a \
	dh_auto_test -- -C $(BUILDDIR) --no-rebuild --verbose --timeout-multiplier 6 \
	           --no-stdsplit --print-errorlogs
TEST_COMMAND=$(TEST_COMMAND_BASE) --no-suite flaky
TEST_COMMAND_FLAKY=$(TEST_COMMAND_BASE) --suite flaky

# Don't run the tests on mips etc. since they either time out or fail too
# much, blocking migration to testing.
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	glib-compile-schemas $(BUILDDIR)/data
# Temporarily ignore failures on armhf while we investigate the regression
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
	-$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
	$(TEST_COMMAND)
	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
endif
endif

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmutter-$(MUTTER_API_VERSION)-$(MUTTER_SONAME) \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-$(MUTTER_API_VERSION)

=== debian/tests/control ===
Tests: libmutter-11-dev
Depends: build-essential,
         dbus,
         libmutter-11-dev,
         xauth,
         xvfb
Restrictions: allow-stderr superficial

Test-Command: gnome-desktop-testing-runner mutter-11
Features: test-name=installed-tests
Classes: desktop
Depends: gnome-desktop-testing,
         mutter-11-tests
Restrictions: allow-stderr

## mutter 43.8

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('libgnome_desktop',
  type: 'boolean',
  value: true,
  description: 'Build with or without gnome-desktop'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('udev_dir',
  type: 'string',
  value: '',
  description: 'Absolute path of the udev base directory'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('sound_player',
  type: 'boolean',
  value: true,
  description: 'Enable sound player support using libcanberra',
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('docs',
  type: 'boolean',
  value: false,
  description: 'Enable gi-docgen documentation'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('native_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter native backend tests'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('kvm_tests',
  type: 'boolean',
  value: false,
  description: 'Enable running certain tests in a virtual machine with a custom built kernel'
)

option('kvm_kernel_image',
  type: 'string',
  value: '',
  description: 'Path to a Linux kernel image to be used for KVM testing'
)

option('tty_tests',
  type: 'boolean',
  value: false,
  description: 'Enable tests that must be run on a TTY (KMS tests without KVM)'
)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications resources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)

option('catch',
  type: 'boolean',
  value: false,
  description: 'Use catch to catch backtraces'
)

=== debian/changelog ===
mutter (43.8-0+deb12u1) bookworm; urgency=medium

  [ Simon McVittie ]
  * d/control.in, d/gbp.conf: Use debian/bookworm branch
  * Apply changes from 43.7-2 to bookworm
    (Closes: #1035092, #1049934, #1042055)
  * New upstream stable release 43.8
    - Fix the ability to drag libdecor windows by their title bar on
      touchscreens (mutter#2872)
    - Fix flickering and rendering artifacts when using software rendering,
      for example on older Intel hardware unsupported by the Gallium i915
      driver (mutter#2602)
    - Improve GNOME Shell app grid performance by avoiding repainting
      monitors other than the one it is displayed on
      (partially fixes gnome-shell#6819)
    - Upstream CI adjustments not relevant to Debian
    - All other changes were previously included in 43.7-1, 43.7-2
  * d/patches: Drop patches that were included in the upstream release
  * Split the triple-buffering patch into its individual commits.
    This should hopefully make it easier to keep track of its status.

  [ Daniel van Vugt ]
  * Update triple-buffering-v4-43 patchset to 43.8-54-g95b2d2157c
    (2023-09-25)
    - d/p/triple-buffering/clutter-frame-clock-Fall-back-to-triple-buffering-not-dou.patch:
      Fall back to triple buffering, not double buffering, when the driver
      doesn't support GPU timestamps (Xorg, Raspberry Pi, others).
      This avoids lower than intended framerates, typically 30fps rather
      than 60fps. Change also included in 44.1-1.
      (LP: #2017137, #2017097)
    - d/p/triple-buffering/clutter-frame-clock-Avoid-rapidly-toggling-dynamic-max-re.patch:
      Fix increased mouse input latency after the above change.
      Change also included in 45.alpha and 44.3 upstream.
      (LP: #2023363)
    - d/p/triple-buffering/clutter-frame-clock-Record-measurements-of-zero-for-curso.patch:
      Fix mouse cursor stuttering when moving across animated UI elements,
      possibly a regression in 41.0. Change also included in 44.3-2.
      (LP: #2023766)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Oct 2023 09:51:59 +0100

mutter (43.7-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-43 branch commit
    43.7-9-g3139cbb47c, excluding CI-only changes
    - d/p/output-kms-Use-meta_kms_connector_get_preferred_mode-in-i.patch:
      Make the choice of preferred video mode consistent between code
      paths, fixing choice of video mode on some monitors (mutter!3055)
    - d/p/cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch:
      change was already included in 43.7-1, just update metadata
    - d/p/clutter-stage-Add-is-grabbed-property.patch,
      d/p/window-Postpone-focusing-until-grab-ended-if-uninteractab.patch:
      Give focus to new app windows when launched from the gnome-shell
      overview, fixing a regression in 43.3-5 and upstream 43.4
      (Closes: #1035092, #1049934)
    - d/p/tests-Introduce-and-use-a-custom-test-shell.patch,
      d/p/tests-test-shell-Emulate-overview-grabs.patch,
      d/p/tests-test-runner-Add-toggle_overview-command.patch,
      d/p/tests-Add-test-case-for-restoring-focus-after-overview.patch:
      Add unit test coverage for #1035092
  * d/p/tests-Reinstate-meta_test_get_plugin_name.patch:
    Reinstate a symbol in libmutter-test-11 removed by the above patches,
    in case a dependent package is using it
  * d/libmutter-test-11.symbols: Add a new symbol introduced by the test
    for #1035092

 -- Simon McVittie <smcv@debian.org>  Sun, 20 Aug 2023 11:35:31 +0100

mutter (43.7-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release 43.7
    - Functionally equivalent to 43.6-1
  * d/p/wayland-outputs-Fix-potential-crash-when-output-has-no-mo.patch:
    Drop patch, applied upstream
  * d/gbp.conf, d/control.in: Use debian/trixie branch
  * d/p/cogl-gl-framebuffer-Fix-inverted-test-in-ensure_bits_init.patch:
    Add patch from upstream 45.beta to fix a test failure with recent Mesa
    (Closes: #1042055, LP: #2025287)
  * d/patches: Improve tracking of upstream status

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Aug 2023 17:40:39 +0100

mutter (43.6-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2023 22:59:13 +0100

mutter (43.6-1) unstable; urgency=medium

  * New upstream stable release 43.5
    - Always update surfaces belonging to a window that is being recorded
      or included in a screencast, even if the window is not visible
      on a local display (mutter#2538, mutter!2789)
    - Export previously-private meta_window_has_pointer(), needed by
      screenshot UI fixes in gnome-shell 43.5 (mutter!2928)
      + d/libmutter-11-0.symbols: Update to add that symbol
    - All other changes were already present in 43.4-2
  * New upstream stable release 43.6
    - Fix a resource leak when a compositor view is destroyed (mutter!2991)
    - Fix a crash when headless gdm greeter via gnome-remote-desktop
      attempts to blank the screen (mutter#2841)
  * d/patches: Drop patches that were applied upstream
  * d/p/wayland-outputs-Fix-potential-crash-when-output-has-no-mo.patch:
    Backport patch from 44~beta to fix a crash during suspend/resume on
    some systems (mutter#2570, Closes: #1036268)

 -- Simon McVittie <smcv@debian.org>  Sat, 10 Jun 2023 21:17:19 +0100

mutter (43.4-2) unstable; urgency=medium

  * Team upload
  * d/patches: Update to upstream gnome-43 branch commit 43.4-5-gc35e9f8c0
    - d/p/clutter-actor-Get-next-action-from-list-before-handling-c.patch:
      Fix a use-after-free that was always a problem in theory, but causes
      crashes in practice with GLib 2.76.x (mutter!2955, gnome-shell#6552)
    - d/p/cursor-tracker-Don-t-leak-window-cursor-on-exit.patch:
      Fix a minor memory leak (mutter!2969)
    - d/p/wayland-cursor-surface-Update-cursor-on-dispose.patch:
      Fix a crash in rare situations involving Wayland cursor changes,
      and add test coverage (mutter!2969)


=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -14,7 +13,7 @@
                dh-sequence-gnome,
                at-spi2-core <!nocheck>,
                adwaita-icon-theme <!nocheck>,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                dmz-cursor-theme <!nocheck>,
                gnome-control-center-data,
                gnome-pkg-tools (>= 0.10),
@@ -86,11 +85,9 @@
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/kinetic
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/kinetic
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
@@ -120,7 +117,7 @@
 Package: mutter-11-tests
 Architecture: linux-any
 Depends: at-spi2-core,
-         dbus,
+         dbus-daemon,
          dmz-cursor-theme,
          libmutter-11-0 (= ${binary:Version}),
          libmutter-test-11 (= ${binary:Version}),
@@ -240,7 +237,6 @@
 Package: libmutter-test-11
 Section: libs
 Architecture: linux-any
-Multi-Arch: same
 Depends: libmutter-11-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,7 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
-# Temporarily ignore failures on armhf while we investigate the regression
-ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
-	-$(TEST_COMMAND)
-	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
-else ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
+ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: libmutter-11-dev
 Depends: build-essential,
-         dbus,
+         dbus-daemon,
          libmutter-11-dev,
          xauth,
          xvfb

## mutter 44.0

=== debian/changelog ===
mutter (44.0-2ubuntu4) lunar; urgency=medium

  [ Daniel van Vugt ]
  * Add proposed patch to treat XIChangeProperty errors as warnings,
    fixes crash on login or resume from suspend with Nvidia graphics drivers
    (LP: #2014986)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Apr 2023 14:32:30 -0400

mutter (44.0-2ubuntu3) lunar; urgency=medium

  * debian/patches: Listen to XSettings changes to update decorations
    (LP: #2012733)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 04 Apr 2023 22:26:20 +0200

mutter (44.0-2ubuntu2) lunar; urgency=medium

  * debian/libmutter-12-0.symbols: Restore symbols for triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:46:13 -0400

mutter (44.0-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
  * Re-enable the triple buffering patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 09:35:04 -0400

mutter (44.0-2) experimental; urgency=medium

  * Update debian/patches/debian/Support-Dynamic-triple-double-buffering.patch:
    Compared to the last update, a crash on resuming from sleep has been
    fixed. And some minor code tidying.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 27 Mar 2023 09:27:35 -0400

mutter (44.0-1ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Disable triple buffering patch
  * debian/patches: Refresh indexes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 21:12:31 +0100

mutter (44.0-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Fixes feedback loops with old statically compiled SDL applications
      (LP: #2011803)
  * debian/patches: refresh indexes
  * debian/patches/debian/Support-Dynamic-triple-double-buffering.patch: Update
    We still keep it enabled, given that we're in experimental anyways

  [ Simon McVittie ]
  * Remove #1032388 from previous changelog entry.
    I hoped !2878 would fix both #1032388 and #1031945, but in fact it
    only solves #1031945.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 20:35:02 +0100

mutter (44~rc-1ubuntu3) lunar; urgency=medium

  * debian/control.in: Have libmutter-12-dev depend on libegl1-mesa-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 19:19:46 -0400

mutter (44~rc-1ubuntu2) lunar; urgency=medium

  [ Jeremy Bicha ]
  * debian/libmutter-12-0.symbols: Drop symbols from triple buffering patch

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Do not use fatal warnings on fractional scaling issues
  * debian/patches: Add ability to override window edge constraints.
    Make possible for extensions (such as Tiling Assistant) to override windows
    constraints. (LP: #2007710, #2011611)
  * debian/libmutter-12-0.symbols: Add new override constraint symbol
  * debian/libmutter-12-0.lintian-overrides: Allow using debian version in
    symbols: it's a private API exposed only by ubuntu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Mar 2023 19:17:11 +0100

mutter (44~rc-1ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - debian/control: Do not depend on legacy EGL package name
  * Temporarily disable triple buffering patch to ensure quality
    after major changes to mutter since 44~beta

  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 08:20:44 -0500

mutter (44~rc-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * d/p/wayland-Don-t-overwrite-surface-offsets.patch,
    d/p/x11-Avoid-updating-focus-on-wayland-compositor.patch:
    Drop, applied in new release
  * debian/control.in: Build-Depend on libgnome-desktop-4-dev instead of -3
  * debian/control.in: Mark libgtk-3-dev as only needed for build tests
  * debian/control.in: Bump minimum wayland-protocols to 1.31
  * debian/*.symbols: Update; some "private" meta_* symbols were dropped

  [ Simon McVittie ]
  * Merge packaging from unstable (Closes: #1031945, #1031847)
    - Drop patches that were backported from upstream 44.rc into unstable
    - d/p/tests-Use-a-more-interoperable-path-to-bash.patch:
      Fix path to interpreter in x11-test.sh instead of disabling it
    - d/p/tests-Disable-broken-test.patch: Drop patch, no longer needed
  * d/p/debian/backends-native-kms-crtc-Don-t-compare-gamma-values-on-un.patch:
    Drop patch from upstream !2371, which no longer applies cleanly.
    As far as I can see, this is unnecessary since commit 9001fa97
    "kms/crtc: Always read the gamma state" from !2435.

  [ Marco Trevisan (Treviño) ]
  * d/p/debian/Support-Dynamic-triple-double-buffering.patch:
    Refreshed with the 44-WIP version from Daniel, it's working properly in
    main tested scenarios.
  * debian/patches: Drop patch removing dependency on glib 2.75
  * debian/control: Bump build-dependency on glib-2.75
  * debian/control: Add breaks on gnome-shell << 44~rc.
    It's not possible to compile older gnome-shell versions with mutter
    44~rc due to the gtk dependency removal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 08 Mar 2023 02:29:22 +0100

mutter (44~beta-3ubuntu2) lunar; urgency=medium

  * debian/patches: Update code to get backend on X11-fractional scaling
  * debian/control: Do not depend on legacy EGL package name

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Feb 2023 20:03:24 +0100

mutter (44~beta-3ubuntu1) lunar; urgency=medium

  [ Jeremy Bicha
  * Merge with Debian. Remaining change:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch

  * Merge packaging from unstable (Closes: #1031945, #1031847)
  [ Marco Trevisan (Treviño) ]
  * Update the fractional scaling patch



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -34,10 +35,10 @@
                libgirepository1.0-dev (>= 0.9.12),
                libgl-dev,
                libgles-dev,
-               libglib2.0-dev (>= 2.69.0),
-               libgnome-desktop-3-dev (>= 3.36.0),
+               libglib2.0-dev (>= 2.75.0),
+               libgnome-desktop-4-dev,
                libgraphene-1.0-dev (>= 1.10.2),
-               libgtk-3-dev (>= 3.19.8),
+               libgtk-3-dev (>= 3.19.8) <!nocheck>,
                libgudev-1.0-dev (>= 232) [linux-any],
                libice-dev,
                libinput-dev (>= 1.19.0) [linux-any],
@@ -77,7 +78,7 @@
                python3-dbusmock <!nocheck>,
                sysprof (>= 3.40.1) [linux-any],
                udev [linux-any],
-               wayland-protocols (>= 1.26) [linux-any],
+               wayland-protocols (>= 1.31) [linux-any],
                xauth <!nocheck>,
                xcvt [linux-any],
                xkb-data,
@@ -86,8 +87,10 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/bookworm
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: linux-any
@@ -114,13 +117,13 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-11-tests
+Package: mutter-12-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
-         libmutter-11-0 (= ${binary:Version}),
-         libmutter-test-11 (= ${binary:Version}),
+         libmutter-12-0 (= ${binary:Version}),
+         libmutter-test-12 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          python3,
          python3-dbus,
@@ -143,11 +146,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-11
+Package: gir1.2-mutter-12
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-11-0 (= ${binary:Version}),
+Depends: libmutter-12-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -164,7 +167,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-11-0
+Package: libmutter-12-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -172,12 +175,13 @@
 Depends: adwaita-icon-theme,
          gsettings-desktop-schemas (>= 40~alpha),
          mutter-common (>= ${source:Version}),
+         mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
         gnome-settings-daemon (<< 3.31.101),
-        gnome-shell (<< 42~rc),
+        gnome-shell (<< 44~rc),
         libgtk-3-0 (<< 3.24.33-2~),
         libgtk-4-1 (<< 4.6.3+ds1-2~)
 Description: window manager library from the Mutter window manager
@@ -193,25 +197,25 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-11-dev
+Package: libmutter-12-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-11 (= ${binary:Version}),
+Depends: gir1.2-mutter-12 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
          libdrm-dev,
+         libegl-dev,
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev,
          libgles-dev,
-         libglib2.0-dev (>= 2.69.0),
+         libglib2.0-dev (>= 2.75.0),
          libgraphene-1.0-dev (>= 1.9.3),
-         libgtk-3-dev,
          libinput-dev (>= 1.19),
          libjson-glib-dev,
-         libmutter-11-0 (= ${binary:Version}),
+         libmutter-12-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev [linux-any],
          libx11-dev,
@@ -234,13 +238,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-11
+Package: libmutter-test-12
 Section: libs
 Architecture: linux-any
-Depends: libmutter-11-0 (= ${binary:Version}),
+Depends: libmutter-12-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gir1.2-metatest-12
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -266,3 +271,23 @@
  of Clutter, a scene graph and user interface toolkit.
  .
  This package contains the shared files.
+
+Package: mutter-common-bin
+Section: misc
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: mutter (<< 44~)
+Replaces: mutter (<< 44~)
+Description: shared programs for the Mutter window manager
+ Mutter is a Wayland display server and X11 window manager and
+ compositor library. It contains functionality related to, among other
+ things, window management, window compositing, focus tracking, workspace
+ management, keybindings and monitor configuration.
+ .
+ Internally it uses a fork of Cogl, a hardware acceleration abstraction
+ library used to simplify usage of OpenGL pipelines, as well as a fork
+ of Clutter, a scene graph and user interface toolkit.
+ .
+ This package contains the program files which are used for the libraries
+ and others.

## mutter 44.1

=== debian/changelog ===
mutter (44.1-1parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:08:36 +0200

mutter (44.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Drop bash patch applied in new release
  * debian/libmutter-12-0.symbols: Add new symbols

  [ Daniel van Vugt ]
  * Update triple buffering patch for Mutter 44.1

  [ Marco Trevisan (Treviño) ]
  * Fix issue with Firefox opening black window in wayland sessions
    - Add d/p/display-Set-compositor-selection-earlier-on-XWayland.patch
      (LP: #1987976)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 16:18:13 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -87,10 +86,8 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
@@ -206,7 +203,6 @@
          libatk1.0-dev,
          libcairo2-dev,
          libdrm-dev,
-         libegl-dev,
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	glib-compile-schemas $(BUILDDIR)/data
-ifeq (,$(filter mips mips64el mipsel riscv64 alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
+ifeq (,$(filter mips mips64el mipsel riscv64 s390x alpha hppa powerpc sparc64 x32,$(DEB_HOST_ARCH)))
 	$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY) --logbase flaky-tests
 endif
